%define	name		BasiliskII-jit
%define version		0.9
%define release		0.2mdk
%define	modversion	$(uname -r)
%define snapshot	16022001

Summary:		A free, portable Mac II emulator
Name:			%{name}
Version:		%{version}
Release:		%{release}

Source:			http://gwenole.beauchesne.online.fr/basilisk2/files/BasiliskII_jit_src_%{snapshot}.tar.bz2
Patch0:			BasiliskII-0.8-keycodes.patch.bz2
Patch1:			BasiliskII-0.9-cmov.patch.bz2
Copyright:		GPL
URL:			http://gwenole.beauchesne.online.fr/basilisk2

Group:			Emulators
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
BuildRequires:		XFree86-devel, gtk+-devel, glib-devel, esound-devel, audiofile-devel
ExclusiveArch:		i386 i486 i586 i686 k6 k7

%description
Basilisk II is an Open Source 68k Macintosh emulator. That is, it enables
you to run 68k MacOS software on you computer, even if you are using a
different operating system. However, you still need a copy of MacOS and
a Macintosh ROM image to use Basilisk II (of course MacOS and Mac ROM
are not included in this package).

Some features of Basilisk II:
  - Emulates either a Mac Classic (which runs MacOS 0.x thru 7.5)
    or a Mac II series machine (which runs MacOS 7.x, 8.0 and 8.1),
    depending on the ROM being used
  - Color video display
  - CD quality sound output
  - Floppy disk driver (only 1.44MB disks supported)
  - Driver for HFS partitions and hardfiles
  - CD-ROM driver with basic audio functions
  - Easy file exchange with the host OS via a "Host Directory Tree" icon
    on the Mac desktop
  - Ethernet driver
  - Serial drivers
  - SCSI Manager (old-style) emulation
  - Emulates extended ADB keyboard and 3-button mouse

This version includes the Uae JIT ("just in time") compiler,
which speeds up the emulator by a factor of 10-15x with respect to the
plain version.

#
# [GG] temporary disabled the package sheepnet. Do not remove
# commented lines.
#
#%package sheepnet
#Summary:	Basilisk II network module
#Group:		Emulators
#Requires:	%{name} = %{version}
#Prereq:		/bin/mknod, /sbin/depmod, kernel
#%description sheepnet
#This package contains the sheep_net kernel module for
#Ethernet networking under Basilisk II.

%prep
%setup -q -n BasiliskII-%{version}.JIT
%patch0 -p1
%patch1 -p1 

%build
cd ./src/Unix
CFLAGS="$RPM_OPT_FLAGS -O2 -fno-fast-math" \
CXXFLAGS="$RPM_OPT_FLAGS -O2 -fno-fast-math" \
%configure \
	    --enable-jit-compiler \
	    --enable-jit-lazy-flush \
	    --enable-jit-fpu \
	    --enable-fpe=uae
make
#Build sheep_net module
#cd Linux/NetDriver
#make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/{bin,lib}
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{modversion}/misc
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/dev
cd ./src/Unix
%makeinstall

# install the sheep_net module
#cd ./Linux/NetDriver
#install -m 644 sheep_net.o $RPM_BUILD_ROOT/lib/modules/%{modversion}/misc
#/bin/mknod $RPM_BUILD_ROOT/dev/sheep_net c 10 198
#chmod 775 $RPM_BUILD_ROOT/dev/sheep_net
#chown root.sys $RPM_BUILD_ROOT/dev/sheep_net

%clean
rm -rf $RPM_BUILD_ROOT
#%post sheepnet
## rebuild module if kernel is not the same here
#if [ "`uname -r`" != "%{modversion}" ]; then
#	mkdir -p /tmp/sheep_net
#	cd /tmp/sheep_net
#	cp /usr/share/doc/%{name}-sheepnet-%{version}/{Makefile,sheep_net.c} .
#	make >/dev/null 2>&1
#	install -m 644 sheep_net.o /lib/modules/`uname -r`/misc
#	rm -rf /tmp/sheep_net
#fi
#/sbin/depmod -a
#
#%postun sheepnet
#/sbin/depmod -a

%files
%defattr(-,root,root)
%doc README TECH TODO TODO.JIT COPYING ChangeLog ChangeLog.JIT
%attr(755,root,root) %{_bindir}/BasiliskII
%attr(-,root,man) %{_mandir}/man1/*
%{_prefix}/share/BasiliskII/*

#%files sheepnet
#%defattr(-,root,root)
#%doc src/Unix/Linux/NetDriver/Makefile src/Unix/Linux/NetDriver/sheep_net.c
#/lib/modules/*
#%attr(775,root,sys) /dev/sheep_net

%changelog
* Wed Feb 22 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.9-0.2mdk
- fixed doc.

* Wed Feb 21 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.9-0.1mdk
- updated to snapshot 16022001.
- disabled -ffast-math and lowered optimization to -O2, to avoid
  gcc 2.96.X problems.
- removed sheep_net module (for now).

* Wed Jan 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8-17mdk
- updated to snapshot 14012001.

* Wed Dec 20 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8-16mdk
- initial release with JIT (UAE) included.
- more macros.

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 0.8-15mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Tue Aug 29 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8-14mdk
- use of %%{_mandir}.
- updated to new snapshot version 13072000.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.8-13mdk
- automatically added BuildRequires.

* Sun May 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.8-12mdk
- Fix unresolved symbol for sheepnet.

* Sat May 13 2000 David BAUDENS <baudens@mandrakesoft.com> 0.8-11mdk
- Don't optimize for i586 when this package is builded for another x86 arch.
- Update kernel version.

* Sat Apr 29 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8-10mdk
- merged with my previous changes
- rebuild with latest kernel.
- updated keycodes patch.

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8-9mdk
- Spec-helper.
- Fix groups.
- Add Prereq kernel for sheepnet pacakge to don't fail on depmod.

* Wed Mar 22 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- updated to 14032000 snapshot.

* Mon Feb 07 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to 0.8-1 (0012000).

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8-8mdk
- don't build on alpha.

* Thu Jan 13 2000 Francis Galiegue <francis@mandrakesoft.com>
- reintegrated CFLAGS hack, but made it architecture dependant. Leave only -O2
  for archs other than ix86.

* Tue Jan 11 2000 Francis Galiegue <francis@mandrakesoft.com>
- Removed CFLAGS= in ./configure - non portable

* Mon Jan 03 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to snapshot 22111999.

* Mon Dec 20 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuild for new kernel version.

* Sat Nov 06 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to snapshot 02111999.
 
* Sat Oct 25 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- mandrake adaptions
- removed patch for changing 'keycodes' path
- added patch for 'keycodes' files (XFree86 vendor string)
- split package in main and sheepnet
- added BuildPreReq

* Sun Aug 14 1999 Arne Coucheron <arneco@online.no>
  [250799-2]
- corrected the path definition of the keycode file

* Sun Aug 14 1999 Arne Coucheron <arneco@online.no>
  [250799-1]
- first RPM build
